using System.Collections.Generic;
using System.Threading.Tasks;

namespace Navigator.Services
{
    public interface IDataStore<T>
    {
        Task<bool> AddItemAsync(T item);

				bool AddItem(T item);

        Task<bool> UpdateItemAsync(T item);

        Task<bool> DeleteItemAsync(string id);

				bool DeleteItem(string id);

				Task<T> GetItemAsync(string id);

				T GetItem(string id);

        Task<IEnumerable<T>> GetItemsAsync(bool forceRefresh = false);
    }
}
